Package fr.gouv.vitam.common.model.administration

# Class FileFormatModel

java.lang.Object
fr.gouv.vitam.common.model.administration.FileFormatModel

public class FileFormatModel extends Object
POJO java use for mapping FileFormat

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileFormatModel()`
  Constructor without fields

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `String`
  `getCreatedDate()`
  `Integer`
  `getDocumentVersion()`
  `List<String>`
  `getExtensions()`
  `String`
  `getGroup()`
  `List<String>`
  `getHasPriorityOverFileFormatIDs()`
  `String`
  `getId()`
  `String`
  `getMimeType()`
  `String`
  `getName()`
  `String`
  `getPuid()`
  `String`
  `getUpdateDate()`
  `String`
  `getVersion()`
  `String`
  `getVersionPronom()`
  `Boolean`
  `isAlert()`
  `FileFormatModel`
  `setAlert(Boolean alert)`
  `FileFormatModel`
  `setComment(String comment)`
  `FileFormatModel`
  `setCreatedDate(String createdDate)`
  `void`
  `setDocumentVersion(Integer documentVersion)`
  `FileFormatModel`
  `setExtensions(List<String> extensions)`
  `FileFormatModel`
  `setGroup(String group)`
  `FileFormatModel`
  `setHasPriorityOverFileFormatIDs(List<String> hasPriorityOverFileFormatIDs)`
  `void`
  `setId(String id)`
  `FileFormatModel`
  `setMimeType(String mimeType)`
  `FileFormatModel`
  `setName(String name)`
  `FileFormatModel`
  `setPuid(String puid)`
  `FileFormatModel`
  `setUpdateDate(String updateDate)`
  `FileFormatModel`
  `setVersion(String version)`
  `FileFormatModel`
  `setVersionPronom(String versionPronom)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileFormatModel

    public FileFormatModel()
    Constructor without fields

- ## Method Details

  - ### getId

    public String getId()
    Returns:
      id

  - ### setId

    public void setId(String id)
    Parameters:
      `id` - value to set

  - ### getDocumentVersion

    public Integer getDocumentVersion()
    Returns:
      document version (_v)

  - ### setDocumentVersion

    public void setDocumentVersion(Integer documentVersion)
    Parameters:
      `documentVersion` - document version (_v)

  - ### getCreatedDate

    public String getCreatedDate()
    Returns:
      createdDate

  - ### setCreatedDate

    public FileFormatModel setCreatedDate(String createdDate)
    Parameters:
      `createdDate` - value to set
    Returns:
      this

  - ### getVersionPronom

    public String getVersionPronom()
    Returns:
      versionPronom

  - ### setVersionPronom

    public FileFormatModel setVersionPronom(String versionPronom)
    Parameters:
      `versionPronom` - value to set
    Returns:
      this

  - ### getVersion

    public String getVersion()
    Returns:
      version

  - ### setVersion

    public FileFormatModel setVersion(String version)
    Parameters:
      `version` - value to set
    Returns:
      this

  - ### getHasPriorityOverFileFormatIDs

    public List<String> getHasPriorityOverFileFormatIDs()
    Returns:
      hasPriorityOverFileFormatIDs

  - ### setHasPriorityOverFileFormatIDs

    public FileFormatModel setHasPriorityOverFileFormatIDs(List<String> hasPriorityOverFileFormatIDs)
    Parameters:
      `hasPriorityOverFileFormatIDs` - value to set
    Returns:
      this

  - ### getMimeType

    public String getMimeType()
    Returns:
      mimeType

  - ### setMimeType

    public FileFormatModel setMimeType(String mimeType)
    Parameters:
      `mimeType` - value to set
    Returns:
      this

  - ### getName

    public String getName()
    Returns:
      name

  - ### setName

    public FileFormatModel setName(String name)
    Parameters:
      `name` - value to set
    Returns:
      this

  - ### getGroup

    public String getGroup()
    Returns:
      group

  - ### setGroup

    public FileFormatModel setGroup(String group)
    Parameters:
      `group` - value to set
    Returns:
      this

  - ### isAlert

    public Boolean isAlert()
    Returns:
      alert

  - ### setAlert

    public FileFormatModel setAlert(Boolean alert)
    Parameters:
      `alert` - value to set
    Returns:
      this

  - ### getComment

    public String getComment()
    Returns:
      String

  - ### setComment

    public FileFormatModel setComment(String comment)
    Parameters:
      `comment` - value to set
    Returns:
      this

  - ### getExtensions

    public List<String> getExtensions()
    Returns:
      List of String

  - ### setExtensions

    public FileFormatModel setExtensions(List<String> extensions)
    Parameters:
      `extensions` - value to set
    Returns:
      this

  - ### getPuid

    public String getPuid()
    Returns:
      puid

  - ### setPuid

    public FileFormatModel setPuid(String puid)
    Parameters:
      `puid` - value to set
    Returns:
      this

  - ### getUpdateDate

    public String getUpdateDate()

  - ### setUpdateDate

    public FileFormatModel setUpdateDate(String updateDate)